matrix:
  platform:
  - centos7_java11_devtoolset10
  - debian10
  - ubuntu2004
  - macos
  - windows
tasks:
  build_and_test:
    platform: ${{ platform }}
    build_flags:
    - '--cxxopt=-std=c++14'
    build_targets:
    - '@re2//:all'
    - '-@re2//:benchmark'
    - '-@re2//:regexp_benchmark'
    test_flags:
    - '--cxxopt=-std=c++14'
    test_targets:
    - '@re2//:all'
    - '-@re2//:benchmark'
    - '-@re2//:regexp_benchmark'
    - '-@re2//:dfa_test'
    - '-@re2//:exhaustive1_test'
    - '-@re2//:exhaustive2_test'
    - '-@re2//:exhaustive3_test'
    - '-@re2//:exhaustive_test'
    - '-@re2//:random_test'
